#include <QtGui/QApplication>
#include <QtGui/QIcon>

int main(int argc, char** argv)
{
	QApplication app(argc, argv);
	if(app.argc()<3 || app.argc()>4) {
		qFatal("Usage: %s <name> <size> [targetname]", qPrintable(app.applicationName()));
	}
	
	bool ok;
	QIcon ico = QIcon::fromTheme(app.arguments()[1]);
	
	if(ico.isNull())
		qFatal("The first argument '%s' should be an icon name", qPrintable(app.arguments()[1]));
	
	int side = app.arguments()[2].toInt(&ok);
	if(!ok)
		qFatal("Size argument %s should be an integer", qPrintable(app.arguments()[3]));
	
	QString targetName = app.argc()>3 ? app.arguments()[3] : (app.arguments()[1]+".png");
	
	bool correct = ico.pixmap(side).save(targetName);
	if(!correct)
		qFatal("Could not save the icon");
	
	return 0;
}
